Subject: Re: bug#19966: 24.4; Get error on hover over variable for tooltip inspection, gud/pdb

From: Eli Zaretskii <[email-masked]>
Date: Sat, 28 Feb 2015 22:43:36 +0200

[Please keep the bug address on the CC list.]

> Date: Sat, 28 Feb 2015 11:46:20 -0800
> From: Tom Burbage <[email-masked]>
> 
> Here's an important update: I just tried and successfully reproduced 
> this problem on OSX using a binary version of 24.4 (from 
> http://emacsformacosx.com/). So at least it isn't something Windows 
> specific. I don't have a Linux currently to try it on.
> My OSX version: GNU Emacs 24.4.1 (x86_64-apple-darwin13.4.0, NS 
> apple-appkit-1265.21) of 2014-10-20 on builder10-9.porkrind.org
> 
> Back to the Windows steps:
> I've attached a simple .bat file (renamed to .txt with hope that an 
> attachment checker won't remove it) that you can use. Just rename it to 
> pdb.bat, then edit:
> 1 - You may need, depending on your environment, to make the path to 
> python.exe fully qualified
> 2 - For a python file, you can just save something like below to e.g. 
> test.py:
> var1 = 1
> var2 = 2
> var3 = 3
> 
> Then:
> 1 - start Emacs using -Q
> 2 - Open test.py
> 3 - M-x pdb
> 4 - (run like this) <path-to-your-pdb.bat>/pdb.bat test.py
> GUD should come up successfully
> 5 - From the "Gud" menu, Show GUD Tooltips
> 6 - Step over one or two lines
> 7 - hover over "var1" in the source
> That's were I see in the echo area:
> 
> Error running timer `tooltip-timeout': (void-variable v)

Thanks.

This is above my pay grade.  Here's the Lisp backtrace, which I hope
will allow someone to pick up where I left off:

  Lisp Backtrace:
  "process-filter" (0x82d3e0)
  0x39e2a58 Lisp type 6
  "advice--add-function" (0x82d800)
  "if" (0x82da40)
  "if" (0x82db80)
  "let" (0x82dd20)
  "if" (0x82de60)
  "progn" (0x82df70)
  "if" (0x82e080)
  "let" (0x82e220)
  "progn" (0x82e330)
  "if" (0x82e440)
  "let" (0x82e5e0)
  "gud-tooltip-tips" (0x82e84c)
  "run-hook-with-args-until-success" (0x82e848)
  "tooltip-timeout" (0x82ec0c)
  "apply" (0x82ec08)
  "byte-code" (0x82ee8c)
  "timer-event-handler" (0x82f2cc)

(In case someone wonders how did we get to advice--add-function here:
it comes from add-function in gud-tooltip-tips.  I have no idea what
is the variable 'v' which triggers the error.)